echo off
cls
IF %1"==" goto NOWAY
IF %2"==" goto NOWAY
echo.
echo SubWar 2050 Campaign Disk installation in progress...
echo.
IF "%2" == "e" GOTO Eng
IF "%2" == "E" GOTO Eng
IF "%2" == "f" GOTO Fre
IF "%2" == "F" GOTO Fre
IF "%2" == "g" GOTO Ger
IF "%2" == "G" GOTO Ger
goto :noway
:Eng
swcmp -d -o %1
goto :done
:Fre
swcmp -d -o %1
copy %1\SWF.EXE %1\SW.EXE
goto :done
:Ger
swcmp -d -o %1
copy %1\SWG.EXE %1\SW.EXE
:done
del %1\swf.exe
del %1\swg.exe
del %1\swe.exe
cls
echo SubWar 2050 Campaign Disk installation complete.
echo.
echo Change to %1 and
echo type "Subwar" to play the game as before.
echo.
goto :end
:noway
cls
echo SubWar 2050 Campaign Disk
echo.
echo Enter "INSTALL [Drive:\Directory] [Language]"
echo.
echo - Drive is the drive letter where your previous copy of SubWar is installed
echo.
echo - Directory is the directory where your previous copy of SubWar is installed
echo.
echo - Language can be one of:
echo.
echo E - English
echo F - French
echo G - German
echo.
echo For example:
echo.
echo INSTALL C:\MPS\SWARS F
echo.
echo this means the SubWar drive is C:
echo the SubWar directory is \MPS\SWARS
echo and use the French language.
echo.
:end
